GNU bug report logs - #59993
[PATCH 2/2] tests: Fix implicit function declaration errors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake-patches; Reported by: Frederic Berat <fberat@HIDDEN>; Keywords: patch; dated Mon, 12 Dec 2022 08:44:05 UTC; Maintainer for automake-patches is automake-patches@HIDDEN.

Message received at 59993 <at> debbugs.gnu.org:


Received: (at 59993) by debbugs.gnu.org; 13 Jan 2023 08:47:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 13 03:47:39 2023
Received: from localhost ([127.0.0.1]:49523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGFis-0001sD-MI
	for submit <at> debbugs.gnu.org; Fri, 13 Jan 2023 03:47:39 -0500
Received: from woodpecker.gentoo.org ([140.211.166.183]:56638
 helo=smtp.gentoo.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vapier@HIDDEN>) id 1pGFiq-0001rv-0F
 for 59993 <at> debbugs.gnu.org; Fri, 13 Jan 2023 03:47:36 -0500
Received: by smtp.gentoo.org (Postfix, from userid 559)
 id 6948B340A9C; Fri, 13 Jan 2023 08:47:30 +0000 (UTC)
Date: Fri, 13 Jan 2023 03:47:28 -0500
From: Mike Frysinger <vapier@HIDDEN>
To: Frederic Berat <fberat@HIDDEN>
Subject: Re: [PATCH v2 3/3] tests: Fix implicit function declaration in
 ax/depcomp.sh
Message-ID: <Y8EaoOSqQ59EKgx0@vapier>
References: <20230113064804.580F5340B54@HIDDEN>
 <CAObJKZpQDXNX2Y2W-kScLznp9Dem=bRGY9RAYvGPU44OR624Rg@HIDDEN>
 <CAObJKZrbQvvYde46w9m_cz5v0Ef-H6+zk8hw=H--oRAD6QQJ6Q@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="ch5cAryH5xoILA+k"
Content-Disposition: inline
In-Reply-To: <CAObJKZrbQvvYde46w9m_cz5v0Ef-H6+zk8hw=H--oRAD6QQJ6Q@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59993
Cc: 59993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--ch5cAryH5xoILA+k
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline

On 13 Jan 2023 09:14, Frederic Berat wrote:
> I made one more build with a different patchset list, could it be that the
> failure you encounter is with "t/subobj.sh" ?

to be clear, i applied this patch only to current git master.  i didn't try
including anything else.  with that in mind, the failure is not in that, but
in t/depcomp-auto.tap.
FAIL: t/depcomp-auto
FAIL: t/depcomp-auto.tap 14 - [simple VPATH] make distclean
FAIL: t/depcomp-auto.tap 21 - [long VPATH] make distclean
FAIL: t/depcomp-auto.tap 28 - [absolute VPATH] make distclean

ERROR: files left in build directory after distclean:
./.deps/foo.Tpo
make: *** [Makefile:750: distcleancheck] Error 1
-mike

--ch5cAryH5xoILA+k
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEuQK1JxMl+JKsJRrUQWM7n+g39YEFAmPBGqAACgkQQWM7n+g3
9YG9+Q/8DClpU2otIZEakMB90EuopCsij7+fIkAJ/tMZhDYHH8+Pq4hutYH9GDTw
Cehlha16GnCKvIsY+c7aTYPfx4vafedbcg1lU5qFaHp3iqDpelyGvS+JBBnsGtTb
tQQWFkbwF5sA8U1P5UgYyeGVLf77FDVZ2XyHDndS9+NgYGY9LUStmjiRxyG50hKc
w9dLHQQFPTvF5rfz/6eKRnrn3qITJjyzUM5wPOqW15/NNhVqxNJ5rTjNzUPCHYxe
OijxkyGSiyxU3ZazWFfHGMqzksrypJwGPKgVVUVmb9hBf2pIDNj/J29JFoxc6gO4
F9ptkf9sIeQgtdTW3wP5vPSCbGbHSgPZ17Sjkh9vOKJ8rm9lpX5wmc05VEaV67br
xT7GDXeGW38fUWKpZkXrpAwIIMUHQ0PQibsLjXfrfUnMpvlgGA86cd8PpGnavJ1G
v0UJ55XWXosUseFhkZfoDiMCxT3SPRcMTvROIdpYdPyyWW0yNQGdSobRm/QYq1zT
OXyPisofnJJH9yk5yXspIAgLib+UtYffOBIAtlPP6Y+i6TkVpuI/9IhZBJTESgBX
34T7Hr6tu3ZwS4jz35tX4NPBIHYccHxgcZBCRnTGpWH3tVCNN+iYE6YmY0PaCGMQ
MsrdqHOScc+BrKIXlK3Vs3+wCBWuOd2xq6yj+AYFh3WDryivK84=
=6K31
-----END PGP SIGNATURE-----

--ch5cAryH5xoILA+k--




Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at 59993 <at> debbugs.gnu.org:


Received: (at 59993) by debbugs.gnu.org; 13 Jan 2023 08:14:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 13 03:14:20 2023
Received: from localhost ([127.0.0.1]:49456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGFCe-000110-4p
	for submit <at> debbugs.gnu.org; Fri, 13 Jan 2023 03:14:20 -0500
Received: from us-smtp-delivery-124.mimecast.com ([170.10.133.124]:53466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fberat@HIDDEN>) id 1pGFCc-00010r-1S
 for 59993 <at> debbugs.gnu.org; Fri, 13 Jan 2023 03:14:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1673597657;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=A0zvYVW2269beM6BIeHTUjPD/zkdfG5ttSeOVxS4uIs=;
 b=AgLyqMgr4116rv+UDkd3KiCGqur8WpkblM891XZGhwBc8d5gdI346qid6Vvk1emZAQVQ5A
 arfq61Xw4blCye6Q2hH0DhcIQasg5iPXpypo1VaH/+47Ugwve2TwVSXv2vZOhtS5GP3zpZ
 jePgqQlWJk7q/QPah7jOToDe4J+6ttw=
Received: from mail-ej1-f71.google.com (mail-ej1-f71.google.com
 [209.85.218.71]) by relay.mimecast.com with ESMTP with STARTTLS
 (version=TLSv1.3, cipher=TLS_AES_128_GCM_SHA256) id
 us-mta-400-KnPp_YcVOO2IDMAD3g9aaQ-1; Fri, 13 Jan 2023 03:14:16 -0500
X-MC-Unique: KnPp_YcVOO2IDMAD3g9aaQ-1
Received: by mail-ej1-f71.google.com with SMTP id
 xh12-20020a170906da8c00b007413144e87fso14538417ejb.14
 for <59993 <at> debbugs.gnu.org>; Fri, 13 Jan 2023 00:14:15 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=A0zvYVW2269beM6BIeHTUjPD/zkdfG5ttSeOVxS4uIs=;
 b=ygGtG/eNbAHzTXgkbwsyHQ9+vTu1ruoy/N+a8Pxy1qHtCwe5z7zFLzPm/wm/RJuWrq
 dKZYpx3sbnOQIn18X4D65E/p3/Cg2OpbfN4PuQQtITTOe5v242Fjxu4LnNnYL/oWciNC
 /d5+4uMDpoD1b5uGReh0r5PJ801ueNTPeNQnDHt8dhG5bApMkhEDKZB034ggX3X0hy64
 c0uu6Ctna2Yc81nBIHcpFqXn6inB4764RcTDckD0wu62wRpzHDX8+DqlSTe+wFPs3ydh
 bIQ6I4nm3iKyU7Wa8Jxy/8oS6fO9XwrEOeVvSEOxUmkQY+dfx80kFEiK4RdQ6fKVklK8
 ePPw==
X-Gm-Message-State: AFqh2kpBiGdrgToAdagor2H6hDqifgu/YE+V2umsfpAiXqTDdQGrtRfj
 fs9NWhdORB1sZzG+iU8zPqgsp5igyRjSZrzHzTf1ZZQDQ+2gBpH0YhomoTSnHg/rCy87pmzSz4m
 gYWIDCYVu6REiXXZ7h7ePE3fGC5XbbZY=
X-Received: by 2002:a17:906:d0c4:b0:847:dc26:fb5a with SMTP id
 bq4-20020a170906d0c400b00847dc26fb5amr5202453ejb.329.1673597654895; 
 Fri, 13 Jan 2023 00:14:14 -0800 (PST)
X-Google-Smtp-Source: AMrXdXsspKIanQFayvld9LE+SAgA6B+si42gQ0ggX9mgGXMJFASs8EZREzbWbNJPpAy9tK6G+geK7cJWyNvKlGx6fCw=
X-Received: by 2002:a17:906:d0c4:b0:847:dc26:fb5a with SMTP id
 bq4-20020a170906d0c400b00847dc26fb5amr5202452ejb.329.1673597654692; Fri, 13
 Jan 2023 00:14:14 -0800 (PST)
MIME-Version: 1.0
References: <20230113064804.580F5340B54@HIDDEN>
 <CAObJKZpQDXNX2Y2W-kScLznp9Dem=bRGY9RAYvGPU44OR624Rg@HIDDEN>
In-Reply-To: <CAObJKZpQDXNX2Y2W-kScLznp9Dem=bRGY9RAYvGPU44OR624Rg@HIDDEN>
From: Frederic Berat <fberat@HIDDEN>
Date: Fri, 13 Jan 2023 09:14:03 +0100
Message-ID: <CAObJKZrbQvvYde46w9m_cz5v0Ef-H6+zk8hw=H--oRAD6QQJ6Q@HIDDEN>
Subject: Re: [PATCH v2 3/3] tests: Fix implicit function declaration in
 ax/depcomp.sh
To: Mike Frysinger <vapier@HIDDEN>
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: multipart/alternative; boundary="000000000000b4898305f220d12a"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59993
Cc: 59993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000b4898305f220d12a
Content-Type: text/plain; charset="UTF-8"

I made one more build with a different patchset list, could it be that the
failure you encounter is with "t/subobj.sh" ?

In my tests run this failure is fixed by:
https://lists.gnu.org/archive/html/automake-patches/2022-12/msg00001.html

On Fri, Jan 13, 2023 at 8:57 AM Frederic Berat <fberat@HIDDEN> wrote:

> That's strange, although I tested it on top of automake-1.16.5, I don't
> have any failure on `make check` with this one here [1].
>
> May you provide more details ?
>
>
> [1]
>
> ============================================================================
> Testsuite summary for GNU Automake 1.16.5
>
> ============================================================================
> # TOTAL: 2980
> # PASS:  2882
> # SKIP:  60
> # XFAIL: 38
> # FAIL:  0
> # XPASS: 0
> # ERROR: 0
>
> ============================================================================
>
> On Fri, Jan 13, 2023 at 7:48 AM Mike Frysinger <vapier@HIDDEN> wrote:
>
>> this breaks `make check`, so i can't merge it
>> -mike
>>
>>

--000000000000b4898305f220d12a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>I made one more build with a different patchset list,=
 could it be that the failure you encounter is with &quot;t/subobj.sh&quot;=
 ?</div><div><br></div><div>In my tests run this failure is fixed by: <a hr=
ef=3D"https://lists.gnu.org/archive/html/automake-patches/2022-12/msg00001.=
html">https://lists.gnu.org/archive/html/automake-patches/2022-12/msg00001.=
html</a></div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">On Fri, Jan 13, 2023 at 8:57 AM Frederic Berat &lt;<a href=
=3D"mailto:fberat@HIDDEN">fberat@HIDDEN</a>&gt; wrote:<br></div><bl=
ockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-lef=
t:1px solid rgb(204,204,204);padding-left:1ex"><div dir=3D"ltr"><div>That&#=
39;s strange, although I tested it on top of automake-1.16.5, I don&#39;t h=
ave any failure on `make check` with this one here [1].</div><div><br></div=
><div>May you provide more details ?</div><div><br></div><div><br></div><di=
v>[1]<br></div><div>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D<br>Testsuite summary for GNU Automake 1.16.5<br>=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D<br># TOTAL: 2980<br># PASS: =C2=A02882<br># SKIP: =C2=A060<br># XFAIL: =
38<br># FAIL: =C2=A00<br># XPASS: 0<br># ERROR: 0<br>=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D<br></div></div><b=
r><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Fri, =
Jan 13, 2023 at 7:48 AM Mike Frysinger &lt;<a href=3D"mailto:vapier@gentoo.=
org" target=3D"_blank">vapier@HIDDEN</a>&gt; wrote:<br></div><blockquot=
e class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px s=
olid rgb(204,204,204);padding-left:1ex">this breaks `make check`, so i can&=
#39;t merge it<br>
-mike<br>
<br>
</blockquote></div>
</blockquote></div>

--000000000000b4898305f220d12a--





Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at 59993 <at> debbugs.gnu.org:


Received: (at 59993) by debbugs.gnu.org; 13 Jan 2023 07:57:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 13 02:57:28 2023
Received: from localhost ([127.0.0.1]:49439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGEwJ-0000Zt-OL
	for submit <at> debbugs.gnu.org; Fri, 13 Jan 2023 02:57:28 -0500
Received: from us-smtp-delivery-124.mimecast.com ([170.10.133.124]:38403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fberat@HIDDEN>) id 1pGEwH-0000Zj-I5
 for 59993 <at> debbugs.gnu.org; Fri, 13 Jan 2023 02:57:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1673596644;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=vgQeuSQ+5QLrTTiN1fmmzV1HKU/drOEyWQ+JPce1DmI=;
 b=iIgGoBksI745p5bdzhFbSw7uxs0knWWv3HCLghjaHqeGO68Xrn4kWhE0GpHgpqxx1oyAv0
 9aYPsRPYeDqQ169Q6NdK1cm3x39X8LCwY5G4M4RWzWEbuMWPErewOfbTLj0Wp4/1Sx6ApZ
 /RtJBSWqJn1RW2Er9qFA6KhJciSG2vo=
Received: from mail-ed1-f72.google.com (mail-ed1-f72.google.com
 [209.85.208.72]) by relay.mimecast.com with ESMTP with STARTTLS
 (version=TLSv1.3, cipher=TLS_AES_128_GCM_SHA256) id
 us-mta-530-GcwHa8XIMva5QKnDHfZ0Rg-1; Fri, 13 Jan 2023 02:57:23 -0500
X-MC-Unique: GcwHa8XIMva5QKnDHfZ0Rg-1
Received: by mail-ed1-f72.google.com with SMTP id
 h8-20020a056402280800b0046af59e0986so14290459ede.22
 for <59993 <at> debbugs.gnu.org>; Thu, 12 Jan 2023 23:57:23 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=vgQeuSQ+5QLrTTiN1fmmzV1HKU/drOEyWQ+JPce1DmI=;
 b=Mh6WzsI18GD+t7zhRHZQjkL/TbHQclhPpu12w+QJzYRhrOyXjPqXAhyHTSE4zib+WA
 dOxEKviY+3YO5QZNY/Fu1AB9cLGUsY7CZUc7A/Hvyfmf6kOogimOVgmD0ta+xmeFSVvx
 5mTdy0oYsXg0tCe3xKjmX9NvG7/LlhYYFFo1DQaFfzodgPm1gFM3oRYXmZ/nm/R+4fMd
 8mam2qIZHq0Osf8VLhX8y/BzWRUCK+AaPRuBNsE7VtknWS56YAkDJzoDf4ZK19pPdB5k
 SuLdOthyU0hbiLQy7oi1VT686bMf241juTG2mZFXPB8Pr/+0AxMEKm+dy5OSfMg88fo5
 1p+Q==
X-Gm-Message-State: AFqh2kqbjDdr7yTS3hDeiTgBrsJWmKQ3kngB3eh0YmdJtwbLvvo90Q21
 esW+bwg/ftzuNN2Gth784RvN0h7r0Bp3tmzgEuxnxxyc3BxDjay2C/XDIgilUrfWkyUeAnnsgEb
 gQGFyabbaS/4P/ummCWpWwwK7TudSsZA=
X-Received: by 2002:a17:906:d0c4:b0:847:dc26:fb5a with SMTP id
 bq4-20020a170906d0c400b00847dc26fb5amr5198571ejb.329.1673596642249; 
 Thu, 12 Jan 2023 23:57:22 -0800 (PST)
X-Google-Smtp-Source: AMrXdXt7Nz6vw0pwo7fpHiIi+RGIZOUxbsZ6fAVmM1OgTeD2G8VDovuMDFgi+tO9jxihBZFxPnr5pnYDZhzvulkc7aY=
X-Received: by 2002:a17:906:d0c4:b0:847:dc26:fb5a with SMTP id
 bq4-20020a170906d0c400b00847dc26fb5amr5198568ejb.329.1673596642053; Thu, 12
 Jan 2023 23:57:22 -0800 (PST)
MIME-Version: 1.0
References: <20230113064804.580F5340B54@HIDDEN>
In-Reply-To: <20230113064804.580F5340B54@HIDDEN>
From: Frederic Berat <fberat@HIDDEN>
Date: Fri, 13 Jan 2023 08:57:11 +0100
Message-ID: <CAObJKZpQDXNX2Y2W-kScLznp9Dem=bRGY9RAYvGPU44OR624Rg@HIDDEN>
Subject: Re: [PATCH v2 3/3] tests: Fix implicit function declaration in
 ax/depcomp.sh
To: Mike Frysinger <vapier@HIDDEN>
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: multipart/alternative; boundary="00000000000058ea8505f2209502"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 59993
Cc: 59993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000058ea8505f2209502
Content-Type: text/plain; charset="UTF-8"

That's strange, although I tested it on top of automake-1.16.5, I don't
have any failure on `make check` with this one here [1].

May you provide more details ?


[1]
============================================================================
Testsuite summary for GNU Automake 1.16.5
============================================================================
# TOTAL: 2980
# PASS:  2882
# SKIP:  60
# XFAIL: 38
# FAIL:  0
# XPASS: 0
# ERROR: 0
============================================================================

On Fri, Jan 13, 2023 at 7:48 AM Mike Frysinger <vapier@HIDDEN> wrote:

> this breaks `make check`, so i can't merge it
> -mike
>
>

--00000000000058ea8505f2209502
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: base64

PGRpdiBkaXI9Imx0ciI+PGRpdj5UaGF0JiMzOTtzIHN0cmFuZ2UsIGFsdGhvdWdoIEkgdGVzdGVk
IGl0IG9uIHRvcCBvZiBhdXRvbWFrZS0xLjE2LjUsIEkgZG9uJiMzOTt0IGhhdmUgYW55IGZhaWx1
cmUgb24gYG1ha2UgY2hlY2tgIHdpdGggdGhpcyBvbmUgaGVyZSBbMV0uPC9kaXY+PGRpdj48YnI+
PC9kaXY+PGRpdj5NYXkgeW91IHByb3ZpZGUgbW9yZSBkZXRhaWxzID88L2Rpdj48ZGl2Pjxicj48
L2Rpdj48ZGl2Pjxicj48L2Rpdj48ZGl2PlsxXTxicj48L2Rpdj48ZGl2Pj09PT09PT09PT09PT09
PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09
PT09PT08YnI+VGVzdHN1aXRlIHN1bW1hcnkgZm9yIEdOVSBBdXRvbWFrZSAxLjE2LjU8YnI+PT09
PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09
PT09PT09PT09PT09PT09PTxicj4jIFRPVEFMOiAyOTgwPGJyPiMgUEFTUzogwqAyODgyPGJyPiMg
U0tJUDogwqA2MDxicj4jIFhGQUlMOiAzODxicj4jIEZBSUw6IMKgMDxicj4jIFhQQVNTOiAwPGJy
PiMgRVJST1I6IDA8YnI+PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09
PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PTxicj48L2Rpdj48L2Rpdj48YnI+PGRp
diBjbGFzcz0iZ21haWxfcXVvdGUiPjxkaXYgZGlyPSJsdHIiIGNsYXNzPSJnbWFpbF9hdHRyIj5P
biBGcmksIEphbiAxMywgMjAyMyBhdCA3OjQ4IEFNIE1pa2UgRnJ5c2luZ2VyICZsdDs8YSBocmVm
PSJtYWlsdG86dmFwaWVyQGdlbnRvby5vcmciIHRhcmdldD0iX2JsYW5rIj52YXBpZXJAZ2VudG9v
Lm9yZzwvYT4mZ3Q7IHdyb3RlOjxicj48L2Rpdj48YmxvY2txdW90ZSBjbGFzcz0iZ21haWxfcXVv
dGUiIHN0eWxlPSJtYXJnaW46MHB4IDBweCAwcHggMC44ZXg7Ym9yZGVyLWxlZnQ6MXB4IHNvbGlk
IHJnYigyMDQsMjA0LDIwNCk7cGFkZGluZy1sZWZ0OjFleCI+dGhpcyBicmVha3MgYG1ha2UgY2hl
Y2tgLCBzbyBpIGNhbiYjMzk7dCBtZXJnZSBpdDxicj4NCi1taWtlPGJyPg0KPGJyPg0KPC9ibG9j
a3F1b3RlPjwvZGl2Pg0K
--00000000000058ea8505f2209502--





Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at 59993 <at> debbugs.gnu.org:


Received: (at 59993) by debbugs.gnu.org; 13 Jan 2023 06:48:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 13 01:48:11 2023
Received: from localhost ([127.0.0.1]:49378 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGDrH-00071a-5i
	for submit <at> debbugs.gnu.org; Fri, 13 Jan 2023 01:48:11 -0500
Received: from woodpecker.gentoo.org ([140.211.166.183]:44694
 helo=smtp.gentoo.org) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vapier@HIDDEN>) id 1pGDrG-00070v-4X
 for 59993 <at> debbugs.gnu.org; Fri, 13 Jan 2023 01:48:10 -0500
Received: by smtp.gentoo.org (Postfix, from userid 559)
 id 580F5340B54; Fri, 13 Jan 2023 06:48:04 +0000 (UTC)
From: Mike Frysinger <vapier@HIDDEN>
To: Frederic Berat <fberat@HIDDEN>
Subject: Re: [PATCH v2 3/3] tests: Fix implicit function declaration in
 ax/depcomp.sh
User-Agent: GNU debbugs/0
Message-Id: <20230113064804.580F5340B54@HIDDEN>
Date: Fri, 13 Jan 2023 06:48:04 +0000 (UTC)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59993
Cc: 59993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

this breaks `make check`, so i can't merge it
-mike




Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at 59993 <at> debbugs.gnu.org:


Received: (at 59993) by debbugs.gnu.org; 29 Dec 2022 03:23:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 28 22:23:00 2022
Received: from localhost ([127.0.0.1]:59094 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pAjVT-0000aN-M1
	for submit <at> debbugs.gnu.org; Wed, 28 Dec 2022 22:22:59 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:46707)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zack@HIDDEN>) id 1pAjVR-0000a4-8a
 for 59993 <at> debbugs.gnu.org; Wed, 28 Dec 2022 22:22:58 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id D0F615C00C3;
 Wed, 28 Dec 2022 22:22:51 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Wed, 28 Dec 2022 22:22:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=owlfolio.org; h=
 cc:cc:content-transfer-encoding:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm1; t=1672284171; x=
 1672370571; bh=uJlPKL+BJwxkUkE/XmWZL+k0k3b3wUx6F0eZcol0LJA=; b=p
 oTKr2PfJWq29+K5nBzYIAvBOLKyTBw3ryHMnreuyPzB+kIPHfqCMHHxz6ItH9c9u
 0BJ1ohC4AldKF3nk8N4HN+YyfbovkLVe6YDMc3nPA+DZ13F1+egnDIDgVfTYxg/F
 OzweXreW0DAbRaLnhELlboJIm/bo24qIue+wVDtOKR4hewDxduhof2V7PhILDMPO
 nrg/aLCAQh2KnkBOiN9MGvl2k5nBjawGD8KwOgAXHJTQVVfeW79KPCTPWCpVHQxH
 CeveqlYk52PRyU/zPXbe99LzvhSrkEirBiycxXn6zanD5bgxZ+yB2+W1I+GFA8NX
 UAjYB13pbszm7Pl0KcoJw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:cc:content-transfer-encoding
 :content-type:date:date:feedback-id:feedback-id:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm2; t=1672284171; x=
 1672370571; bh=uJlPKL+BJwxkUkE/XmWZL+k0k3b3wUx6F0eZcol0LJA=; b=q
 mcNXP5a5WF9oweSZK8e9JeaNG/iE4w53bQYkIsxiv2FUU167VPEeqRGpxhtpVKpK
 qooDtlghGElt/MgfIGVgQolQ2RVE7qKNn+ytY19BooYRt+bkeM1g9XF+L2wYqrCJ
 ZxH1Jt+kSdJTVTxrvtegHiDhOSuqySstTsEGVElrt9IZiWThsrnUzh6dKUMUrO+I
 y+HlKZ2eHipWg86HHAwggVy3/WOqDFS5d+kPVrbE0Bio443b9vJIePiTKfd/MfIX
 GldH3bV1BbH5Q6qYCJ0WoPiDg5lLsAA0IJqRjRzkweAHx4LXb0wW0FemHY6/3dzM
 +Tnneyh1ePU7aDvTnTUSQ==
X-ME-Sender: <xms:CwitY8r8RUHbXi3D0qfE0oDAX3RwcEY7oZ6B3e0WrBlFo6_L8zuLmQ>
 <xme:CwitYyo6GCqvYZQWoXpAQJYixsjmBI917kQMgb0n6Sqpdp0j0374jZP3665WY52u1
 cc1yLtk-wREVEKSgNg>
X-ME-Received: <xmr:CwitYxPYqrJqh77vCuFbwjprXPEFttl9xOIBOuvMFClvg1BtvSnjyRBpujw3JzCgvFzCowLxzvoyce8Tu__vYrnUbp_jVs67K--wXG2Nvqflqg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvhedrieefgdehlecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenuc
 fjughrpeffkffhvfevufgjfhgfgggtgfesthhqredttderuhenucfhrhhomhepkggrtghk
 ucghvghinhgsvghrghcuoeiirggtkhesohiflhhfohhlihhordhorhhgqeenucggtffrrg
 htthgvrhhnpeeitdegjefghfdukeehkeeffeevvdefudfgjeffffetiefgkefgvdefleei
 udevtdenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpe
 iirggtkhesohiflhhfohhlihhordhorhhg
X-ME-Proxy: <xmx:CwitYz5-RoHmwYTnbznEeHiWsxc1dhjiWmV488lH7eUWFHjgfhbv9Q>
 <xmx:CwitY74428HKtlhIL5gzImU7yWzD99xJgqWWK2GE4kmjTkforwZEOQ>
 <xmx:CwitYzh5YBMlioaQX5ruNfGBg_CD-2MiyCEVTpLeSNRfI9R73yFyFQ>
 <xmx:CwitY4jERVSNAyeLItZb1qT0AQnVIbcuHHq3Q8OL0tkGGzmmN-sAng>
Feedback-ID: i876146a2:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Wed,
 28 Dec 2022 22:22:50 -0500 (EST)
Date: Wed, 28 Dec 2022 22:20:50 -0500
Message-ID: <ypik358yq4j1.wl-zack@HIDDEN>
From: Zack Weinberg <zack@HIDDEN>
To: Frederic Berat <fberat@HIDDEN>
Subject: Re: [bug#59993] [PATCH 2/2] tests: Fix implicit function declaration
 errors
In-Reply-To: <CAObJKZqECEhajQ=haVFGgOOqULih1fZRotkpKO6-4HHO08XJsg@HIDDEN>
References: <20221212070554.1635775-1-fberat@HIDDEN>
 <20221212070554.1635775-3-fberat@HIDDEN>
 <b1269c3b-5176-b32b-6bb3-a9da71fef4ae@HIDDEN>
 <CAObJKZqECEhajQ=haVFGgOOqULih1fZRotkpKO6-4HHO08XJsg@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-8859-7
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 59993
Cc: 59993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, 15 Dec 2022 11:48:44 -0500, Frederic Berat wrote:
> On Mon, Dec 12, 2022 at 9:19 PM Zack Weinberg <zack@HIDDEN> wrote:
> > >     return yylex ();
> > Please change `int main ()` to `int main (void)` as long as you're in h=
ere.
> I'm hesitant on this. That isn't the purpose of the patch, and if I
> start to do that, there are about 48 files that would need to be
> touched (which omit void for empty argument list).

Yeah, I suppose that ought to be its own separate patch, in that
case.

> Kind of a noisy change with no real benefit.

It=A2d be a step in the direction of making the testsuite run cleanly
with -Wstrict-prototypes and/or -Wold-style-definition, which might
plausibly help with the related effort to support compilers that
reject old-style definitions.  But I agree that it=A2s not a high
priority and shouldn=A2t block this patch.

zw




Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Dec 2022 06:18:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 16 01:18:50 2022
Received: from localhost ([127.0.0.1]:47356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p643W-0004Km-GL
	for submit <at> debbugs.gnu.org; Fri, 16 Dec 2022 01:18:50 -0500
Received: from lists.gnu.org ([209.51.188.17]:51274)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fberat@HIDDEN>) id 1p643P-0004KQ-Mf
 for submit <at> debbugs.gnu.org; Fri, 16 Dec 2022 01:18:46 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <fberat@HIDDEN>) id 1p643P-0001Hg-I9
 for automake-patches@HIDDEN; Fri, 16 Dec 2022 01:18:43 -0500
Received: from us-smtp-delivery-124.mimecast.com ([170.10.133.124])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <fberat@HIDDEN>) id 1p643N-0001mk-JZ
 for automake-patches@HIDDEN; Fri, 16 Dec 2022 01:18:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1671171521;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=x5rc8M+VdI5QsX0I/Z+PsSwjFuMtHw3ULLw8LOthE9g=;
 b=hgIQLDxnSp2NU3ck0212cP/VasVgJr4yEuuNH4Wg9jbo3I5UhqxtClu5MT2g9ebmIo16U0
 YFEGBcuBQ8L1VmKa/feS8Bd0Zb2S0Mz379vzSNAgQyjLGjTERcBPTDQDU7pN9/1EbN8plg
 2YkSKmArGtWmafe3kHNN8UOlP4vp1Xo=
Received: from mimecast-mx02.redhat.com (mimecast-mx02.redhat.com
 [66.187.233.88]) by relay.mimecast.com with ESMTP with STARTTLS
 (version=TLSv1.2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 us-mta-454-37xzMDMyOeCoQ-IrGyOqLA-1; Fri, 16 Dec 2022 01:18:39 -0500
X-MC-Unique: 37xzMDMyOeCoQ-IrGyOqLA-1
Received: from smtp.corp.redhat.com (int-mx07.intmail.prod.int.rdu2.redhat.com
 [10.11.54.7])
 (using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by mimecast-mx02.redhat.com (Postfix) with ESMTPS id 7B4F8857F82
 for <automake-patches@HIDDEN>; Fri, 16 Dec 2022 06:18:39 +0000 (UTC)
Received: from Nymeria-redhat.redhat.com (unknown [10.39.192.133])
 by smtp.corp.redhat.com (Postfix) with ESMTPS id EABA9140EBF5;
 Fri, 16 Dec 2022 06:18:38 +0000 (UTC)
From: Frederic Berat <fberat@HIDDEN>
To: automake-patches@HIDDEN
Subject: [PATCH v2 3/3] tests: Fix implicit function declaration in
 ax/depcomp.sh
Date: Fri, 16 Dec 2022 07:17:19 +0100
Message-Id: <20221216061719.1646646-4-fberat@HIDDEN>
In-Reply-To: <20221212070554.1635775-3-fberat@HIDDEN>
References: <20221216061719.1646646-1-fberat@HIDDEN>
MIME-Version: 1.0
X-Scanned-By: MIMEDefang 3.1 on 10.11.54.7
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=170.10.133.124; envelope-from=fberat@HIDDEN;
 helo=us-smtp-delivery-124.mimecast.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIMWL_WL_HIGH=-0.001,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?Fr=C3=A9d=C3=A9ric=20B=C3=A9rat?= <fberat@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

From: Frédéric Bérat <fberat@HIDDEN>

Changes from v1:
  Split from [PATCH 2/2]

-- 8< --

In depcomp.sh, the following occurs:

1. Files are created so that headers and units are available in
   subdirectories
2. Multiple "make" are executed, while modifying the content of the
   headers, some should fail, others should succeed.
3. At the end, the "sub/subfoo.h" header gets removed.
4. make is executed again, which is expected to succeed.

Yet, with c99, this can't work as the subfoo.h header contains
declaration that are used by foo.c.
Thus, we need to get them back, either by inserting the declaration in
foo.c (or any other header/unit), or by restoring subfoo.h to its
original state.

The later solution seems the easiest path, being less intrusive in
depcomp.sh.
---
 t/ax/depcomp.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/t/ax/depcomp.sh b/t/ax/depcomp.sh
index e4e7565df..a9debc8ef 100644
--- a/t/ax/depcomp.sh
+++ b/t/ax/depcomp.sh
@@ -243,6 +243,7 @@ cat > sub/subfoo.h <<'END'
 #include <stdio.h>
 extern int subfoo (void);
 END
+cp sub/subfoo.h sub/subfoo.save
 
 cat > src/baz.c <<'END'
 #include "baz.h"
@@ -399,8 +400,7 @@ do_test ()
       && rewrite "$srcdir"/sub/subfoo.h echo 'choke me' \
       && not $MAKE \
       && delete "$srcdir"/sub/subfoo.h \
-      && edit "$srcdir"/sub/subfoo.c -e 1d \
-      && edit "$srcdir"/foo.h -e 2d \
+      && mv  "$srcdir"/sub/subfoo.save "$srcdir"/sub/subfoo.h \
       && make_ok \
       || r='not ok'
     result_ "$r" "$pfx dependency tracking works"
-- 
2.38.1





Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Dec 2022 06:18:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 16 01:18:47 2022
Received: from localhost ([127.0.0.1]:47354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p643S-0004Kd-NY
	for submit <at> debbugs.gnu.org; Fri, 16 Dec 2022 01:18:47 -0500
Received: from lists.gnu.org ([209.51.188.17]:51266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fberat@HIDDEN>) id 1p643P-0004KP-GS
 for submit <at> debbugs.gnu.org; Fri, 16 Dec 2022 01:18:44 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <fberat@HIDDEN>) id 1p643P-0001Hc-0k
 for automake-patches@HIDDEN; Fri, 16 Dec 2022 01:18:43 -0500
Received: from us-smtp-delivery-124.mimecast.com ([170.10.133.124])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <fberat@HIDDEN>) id 1p643M-0001me-W5
 for automake-patches@HIDDEN; Fri, 16 Dec 2022 01:18:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1671171520;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=JhDDgXI5mWKj2ypxjBGj5nbH0ilasPPp4kcvd+/69Tg=;
 b=B/2kO2ioBotsWAFEuoskkOd5zFMHxXU5le92wxsoYSyJ3/vc1kjSFC8zaT8ZBKBQC1hztO
 PIW9Bp5HiSKHisAmohWQz1b8Jy7vX/RObotfvlFoHNIs857+GvOMKip8xhFMNO0uNeyDpH
 SRZHtFUT8Mi7Gzk8RfWhYxIuancLuU4=
Received: from mimecast-mx02.redhat.com (mimecast-mx02.redhat.com
 [66.187.233.88]) by relay.mimecast.com with ESMTP with STARTTLS
 (version=TLSv1.2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 us-mta-638-K6CGtt3-PLGQ87ADXB8IjQ-1; Fri, 16 Dec 2022 01:18:38 -0500
X-MC-Unique: K6CGtt3-PLGQ87ADXB8IjQ-1
Received: from smtp.corp.redhat.com (int-mx07.intmail.prod.int.rdu2.redhat.com
 [10.11.54.7])
 (using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by mimecast-mx02.redhat.com (Postfix) with ESMTPS id AB54A85C6E2
 for <automake-patches@HIDDEN>; Fri, 16 Dec 2022 06:18:38 +0000 (UTC)
Received: from Nymeria-redhat.redhat.com (unknown [10.39.192.133])
 by smtp.corp.redhat.com (Postfix) with ESMTPS id 078C0140EBF5;
 Fri, 16 Dec 2022 06:18:36 +0000 (UTC)
From: Frederic Berat <fberat@HIDDEN>
To: automake-patches@HIDDEN
Subject: [PATCH v2 2/3] tests: Fix implicit function declaration errors
Date: Fri, 16 Dec 2022 07:17:18 +0100
Message-Id: <20221216061719.1646646-3-fberat@HIDDEN>
In-Reply-To: <20221212070554.1635775-3-fberat@HIDDEN>
References: <20221216061719.1646646-1-fberat@HIDDEN>
MIME-Version: 1.0
X-Scanned-By: MIMEDefang 3.1 on 10.11.54.7
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=170.10.133.124; envelope-from=fberat@HIDDEN;
 helo=us-smtp-delivery-124.mimecast.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIMWL_WL_HIGH=-0.001,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: =?UTF-8?q?Fr=C3=A9d=C3=A9ric=20B=C3=A9rat?= <fberat@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

From: Frédéric Bérat <fberat@HIDDEN>

Changes from v1:
  Modifications to "t/ax/depcomp.sh" have been moved to a dedicated patch

-- 8< --

This is related to an effort to prepare Automake for future GCC/Clang
versions which set c99 as default standard to be used.

Function should be properly declared prior to use in order to be
compatible with c99 standard.
This is valid for both local functions and standard functions (as
printf).

Modified files:

 * t/c-demo.sh
 * t/cond35.sh
 * t/dist-vs-built-sources.sh
 * t/lex-clean.sh
 * t/lex-multiple.sh
 * t/lex-nodist.sh
 * t/ltcond2.sh
 * t/ltconv.sh
 * t/subobj-clean-lt-pr10697.sh
 * t/subobj-clean-pr10697.sh
 * t/tags-pr12372.sh
 * t/yacc-basic.sh
 * t/yacc-clean.sh
 * t/yacc-nodist.sh
---
 t/c-demo.sh                  |  1 +
 t/cond35.sh                  |  2 ++
 t/dist-vs-built-sources.sh   |  1 +
 t/lex-clean.sh               |  1 +
 t/lex-multiple.sh            |  4 ++++
 t/lex-nodist.sh              |  2 ++
 t/ltcond2.sh                 |  2 ++
 t/ltconv.sh                  |  6 ++++++
 t/subobj-clean-lt-pr10697.sh | 10 +++++++++-
 t/subobj-clean-pr10697.sh    | 10 +++++++++-
 t/tags-pr12372.sh            |  3 ++-
 t/yacc-basic.sh              |  1 +
 t/yacc-clean.sh              |  4 ++++
 t/yacc-nodist.sh             |  2 ++
 14 files changed, 46 insertions(+), 3 deletions(-)

diff --git a/t/c-demo.sh b/t/c-demo.sh
index 7e0e8d64f..d25bf214b 100644
--- a/t/c-demo.sh
+++ b/t/c-demo.sh
@@ -113,6 +113,7 @@ test -f build-aux/compile # We have per-target flags on C sources.
 ./configure --enable-dependency-tracking
 
 cat > src/main.c << 'END'
+#include <stdio.h>
 #include "foo.h"
 #include "bar.h"
 int main (void)
diff --git a/t/cond35.sh b/t/cond35.sh
index 215a22548..bad133970 100644
--- a/t/cond35.sh
+++ b/t/cond35.sh
@@ -73,6 +73,8 @@ END
 
 cat > tparse.y << 'END'
 %{
+extern int yylex(void);
+
 void yyerror (const char *s) {}
 %}
 %token EOF
diff --git a/t/dist-vs-built-sources.sh b/t/dist-vs-built-sources.sh
index d038e66dd..db2776f9a 100644
--- a/t/dist-vs-built-sources.sh
+++ b/t/dist-vs-built-sources.sh
@@ -41,6 +41,7 @@ foo_SOURCES = foo.c
 END
 
 cat > foo.c << 'END'
+#include <stdio.h>
 #include "h.h"
 int main (void) { printf ("%s\n", F); return 0; }
 END
diff --git a/t/lex-clean.sh b/t/lex-clean.sh
index 5aa199338..e53da8fd2 100644
--- a/t/lex-clean.sh
+++ b/t/lex-clean.sh
@@ -61,6 +61,7 @@ cat > lexer.l << 'END'
 END
 
 cat > main.c << 'END'
+extern int yylex (void);
 int main (void)
 {
   return yylex ();
diff --git a/t/lex-multiple.sh b/t/lex-multiple.sh
index 2655b633e..bf119ec84 100644
--- a/t/lex-multiple.sh
+++ b/t/lex-multiple.sh
@@ -56,6 +56,10 @@ cat > main.c << 'END'
 #include <stdlib.h>
 #include <string.h>
 
+extern int yylex (void);
+extern int foolex (void);
+extern int bar_lex (void);
+
 int main (int argc, char *argv[])
 {
   if (argc != 2)
diff --git a/t/lex-nodist.sh b/t/lex-nodist.sh
index 599539405..187dd5437 100644
--- a/t/lex-nodist.sh
+++ b/t/lex-nodist.sh
@@ -62,6 +62,8 @@ CLEANFILES = $(nodist_prog_SOURCES)
 END
 
 cat > main.c << 'END'
+extern int yylex (void);
+
 int main ()
 {
   return yylex ();
diff --git a/t/ltcond2.sh b/t/ltcond2.sh
index 29244c9b3..7e7bcadc4 100644
--- a/t/ltcond2.sh
+++ b/t/ltcond2.sh
@@ -73,6 +73,8 @@ void print (void)
 END
 
 cat > main.c <<'END'
+extern void print(void);
+
 int main (void)
 {
   print();
diff --git a/t/ltconv.sh b/t/ltconv.sh
index 2c4cc47a1..ec79ef80e 100644
--- a/t/ltconv.sh
+++ b/t/ltconv.sh
@@ -91,6 +91,12 @@ echo 'int sub22 () { return 22; }' > sub2/sub22/sub22.c
 
 cat >test.c <<'EOF'
 #include <stdio.h>
+
+extern int sub1 (void);
+extern int sub2 (void);
+extern int sub21 (void);
+extern int sub22 (void);
+
 int main ()
 {
   if (1 != sub1 ())
diff --git a/t/subobj-clean-lt-pr10697.sh b/t/subobj-clean-lt-pr10697.sh
index bb656c43f..53fc02f09 100644
--- a/t/subobj-clean-lt-pr10697.sh
+++ b/t/subobj-clean-lt-pr10697.sh
@@ -83,7 +83,15 @@ libfoo_la_SOURCES = \
 END
 
 mkdir sub1 sub2
-echo 'int libmain (void)' > main.c
+
+echo "/* Subobj clean: libtool case*/" > main.c
+for i in 1 2; do
+  for j in a b c d e f; do
+    echo "extern void $j$i (void);" >> main.c
+  done
+done
+
+echo 'int libmain (void)' >> main.c
 echo '{' >> main.c
 for i in 1 2; do
   for j in a b c d e f; do
diff --git a/t/subobj-clean-pr10697.sh b/t/subobj-clean-pr10697.sh
index f77de8c92..a7f97f6d1 100644
--- a/t/subobj-clean-pr10697.sh
+++ b/t/subobj-clean-pr10697.sh
@@ -81,7 +81,15 @@ foo_SOURCES = \
 END
 
 mkdir sub1 sub2
-echo 'int main (void)' > main.c
+
+echo "/* Subobj clean: generic case*/" > main.c
+for i in 1 2; do
+  for j in a b c d e f; do
+    echo "extern void $j$i (void);" >> main.c
+  done
+done
+
+echo 'int main (void)' >> main.c
 echo '{' >> main.c
 for i in 1 2; do
   for j in a b c d e f; do
diff --git a/t/tags-pr12372.sh b/t/tags-pr12372.sh
index b9c022f70..1a9e1e026 100644
--- a/t/tags-pr12372.sh
+++ b/t/tags-pr12372.sh
@@ -53,7 +53,8 @@ noinst_PROGRAMS = zap
 zap_SOURCES = zardoz.pc
 END
 
-echo 'int main(void) [ return bar(1); ]' > foo-main.pc
+echo 'extern int bar(int);' > foo-main.pc
+echo 'int main(void) [ return bar(1); ]' >> foo-main.pc
 echo 'int bar(int x) { return !x; }' > barbar.c
 echo 'int m@in(void) { return 0; }' > sub/zardoz.pc
 
diff --git a/t/yacc-basic.sh b/t/yacc-basic.sh
index 5b258a30c..8cc0d06a2 100644
--- a/t/yacc-basic.sh
+++ b/t/yacc-basic.sh
@@ -49,6 +49,7 @@ a : 'a' { exit(0); };
 END
 
 cat > foo.c << 'END'
+extern int yyparse(void);
 int main () { yyparse (); return 1; }
 END
 
diff --git a/t/yacc-clean.sh b/t/yacc-clean.sh
index 373774b6a..fef079cf3 100644
--- a/t/yacc-clean.sh
+++ b/t/yacc-clean.sh
@@ -65,6 +65,8 @@ END
 
 cat > sub1/parse.y << 'END'
 %{
+#include <stdio.h>
+
 int yylex () { return (getchar ()); }
 void yyerror (const char *s) {}
 %}
@@ -74,6 +76,8 @@ END
 cp sub1/parse.y sub2/parse.y
 
 cat > sub1/main.c << 'END'
+extern int yyparse(void);
+
 int main ()
 {
   return yyparse ();
diff --git a/t/yacc-nodist.sh b/t/yacc-nodist.sh
index d350a80f9..4a8ebe9ca 100644
--- a/t/yacc-nodist.sh
+++ b/t/yacc-nodist.sh
@@ -78,6 +78,8 @@ BUILT_SOURCES = parse.h
 END
 
 cat > sub1/main.c << 'END'
+extern int yyparse(void);
+
 int main ()
 {
   return yyparse ();
-- 
2.38.1





Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at 59993 <at> debbugs.gnu.org:


Received: (at 59993) by debbugs.gnu.org; 15 Dec 2022 16:49:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 15 11:49:00 2022
Received: from localhost ([127.0.0.1]:43707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5rPo-000095-4Z
	for submit <at> debbugs.gnu.org; Thu, 15 Dec 2022 11:49:00 -0500
Received: from us-smtp-delivery-124.mimecast.com ([170.10.133.124]:47455)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fberat@HIDDEN>) id 1p5rPm-00008z-L3
 for 59993 <at> debbugs.gnu.org; Thu, 15 Dec 2022 11:48:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1671122937;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=ArZrKhvAuVDewQ9YgJLlJOgcetw7WpBQXrDHVyvt6Jk=;
 b=BAgkHrXPPF6jbrszF9jAllL1VG9bKC9NxSXVI+RtWiVyhUY4wnRH1dxnWjVNVqdHdJ96Ql
 46fixGa3fkAU7dvRH13KSj6qm5Cgppn6IOMBN5ysbH5TE92v4ipCOvnQXliNHlvKRPGpOc
 yweG9LRFM2OLgTITqMBcRQgTKaamCqg=
Received: from mail-yb1-f197.google.com (mail-yb1-f197.google.com
 [209.85.219.197]) by relay.mimecast.com with ESMTP with STARTTLS
 (version=TLSv1.3, cipher=TLS_AES_128_GCM_SHA256) id
 us-mta-158-a9Cok892NxCR3zjimzV7WA-1; Thu, 15 Dec 2022 11:48:56 -0500
X-MC-Unique: a9Cok892NxCR3zjimzV7WA-1
Received: by mail-yb1-f197.google.com with SMTP id
 a5-20020a25af05000000b006e450a5e507so4459681ybh.22
 for <59993 <at> debbugs.gnu.org>; Thu, 15 Dec 2022 08:48:56 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=ArZrKhvAuVDewQ9YgJLlJOgcetw7WpBQXrDHVyvt6Jk=;
 b=oYTA2cOLbaARgABLhpZlNndauKgWfB81pFtJ3L9raw+phd8P8Fs6H6dLyVxCgK9dqc
 nrErRoKxZtbHo2p9gUFxelULiRzbhbGHKtkiGpmXtmptQ0cUuppvTtOZGiMa6aoZS//f
 eq0PuYCvGKvCMyuBwrgEzIL+2vB34PYe7mPk1VzbV3S6R3iQS+v5DaXVPU/fYVaGgswb
 AgiuBInPITdwFOOdGJWfOKmMdRoltUcCc/b0qEyEdHUBdfl9hlBe3f1YbR0bgtMnsrSY
 kQWc/DDGaVWPqfDmLLMNSUjLa3lVGec99ZlDgzNN6nnJ74PF3iVdOMSCOmN/km7gXDpq
 AX5A==
X-Gm-Message-State: AFqh2koSyOhCYbmggU6EtfhbsXLYmHRUfBqiXYRMhaMhndphNXBRHNqT
 7hr39NZGmgUSsvFKHblHbGUH+SioF3n9p87SqKyQMwzEqzxGLnxr2/ejjbVMT2M7zwfwaMCCAql
 lRORKiSLIx5iaOa8Pz6UJ2Nd0zITHHtw=
X-Received: by 2002:a25:9a85:0:b0:739:8ad7:ecd4 with SMTP id
 s5-20020a259a85000000b007398ad7ecd4mr152639ybo.79.1671122935549; 
 Thu, 15 Dec 2022 08:48:55 -0800 (PST)
X-Google-Smtp-Source: AMrXdXv98pXFH06Y8xYLvinbBC2ar2nEpZOGFp/VCHRaAr37MSXey7JuCFB4VfBnNVNeWz9x5EwUChVB78yoWyKz128=
X-Received: by 2002:a25:9a85:0:b0:739:8ad7:ecd4 with SMTP id
 s5-20020a259a85000000b007398ad7ecd4mr152634ybo.79.1671122935233; Thu, 15 Dec
 2022 08:48:55 -0800 (PST)
MIME-Version: 1.0
References: <20221212070554.1635775-1-fberat@HIDDEN>
 <20221212070554.1635775-3-fberat@HIDDEN>
 <b1269c3b-5176-b32b-6bb3-a9da71fef4ae@HIDDEN>
In-Reply-To: <b1269c3b-5176-b32b-6bb3-a9da71fef4ae@HIDDEN>
From: Frederic Berat <fberat@HIDDEN>
Date: Thu, 15 Dec 2022 17:48:44 +0100
Message-ID: <CAObJKZqECEhajQ=haVFGgOOqULih1fZRotkpKO6-4HHO08XJsg@HIDDEN>
Subject: Re: [bug#59993] [PATCH 2/2] tests: Fix implicit function declaration
 errors
To: Zack Weinberg <zack@HIDDEN>
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59993
Cc: 59993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Dec 12, 2022 at 9:19 PM Zack Weinberg <zack@HIDDEN> wrote:
>
> On 2022-12-12 2:05 AM, Frederic Berat wrote:
> > This is related to an effort to prepare Automake for future GCC/Clang
> > versions which set c99 as default standard to be used.
> > Function should be properly declared prior to use in order to be
> > compatible with c99 standard.
>
> OK in principle, but ...
>
> > --- a/t/ax/depcomp.sh
> > +++ b/t/ax/depcomp.sh
> > @@ -243,6 +243,7 @@ cat > sub/subfoo.h <<'END'
> >   #include <stdio.h>
> >   extern int subfoo (void);
> >   END
> > +cp sub/subfoo.h sub/subfoo.save
> >
> >   cat > src/baz.c <<'END'
> >   #include "baz.h"
> > @@ -399,8 +400,7 @@ do_test ()
> >         && rewrite "$srcdir"/sub/subfoo.h echo 'choke me' \
> >         && not $MAKE \
> >         && delete "$srcdir"/sub/subfoo.h \
> > -      && edit "$srcdir"/sub/subfoo.c -e 1d \
> > -      && edit "$srcdir"/foo.h -e 2d \
> > +      && mv  "$srcdir"/sub/subfoo.save "$srcdir"/sub/subfoo.h \
> >         && make_ok \
> >         || r='not ok'
> >       result_ "$r" "$pfx dependency tracking works"
>
> These changes don't seem to have anything to do with the patch as
> described.  They should be submitted separately.
>
> > --- a/t/lex-nodist.sh
> > +++ b/t/lex-nodist.sh
> > @@ -62,6 +62,8 @@ CLEANFILES = $(nodist_prog_SOURCES)
> >   END
> >
> >   cat > main.c << 'END'
> > +extern int yylex (void);
> > +
> >   int main ()
> >   {
> >     return yylex ();
>
> Please change `int main ()` to `int main (void)` as long as you're in here.

I'm hesitant on this. That isn't the purpose of the patch, and if I
start to do that, there are about 48 files that would need to be
touched (which omit void for empty argument list). Kind of a noisy
change with no real benefit.
But if you insist, I can do the ones in the files I touched.

>
> > --- a/t/ltconv.sh
> > +++ b/t/ltconv.sh
> > @@ -91,6 +91,12 @@ echo 'int sub22 () { return 22; }' > sub2/sub22/sub22.c
> >
> >   cat >test.c <<'EOF'
> >   #include <stdio.h>
> > +
> > +extern int sub1 (void);
> > +extern int sub2 (void);
> > +extern int sub21 (void);
> > +extern int sub22 (void);
> > +
> >   int main ()
> >   {
> >     if (1 != sub1 ())
>
> Same here.
>
> > --- a/t/yacc-basic.sh
> > +++ b/t/yacc-basic.sh
> > @@ -49,6 +49,7 @@ a : 'a' { exit(0); };
> >   END
> >
> >   cat > foo.c << 'END'
> > +extern int yyparse(void);
> >   int main () { yyparse (); return 1; }
> >   END
>
> And here.
>
> > --- a/t/yacc-clean.sh
> > +++ b/t/yacc-clean.sh
> > @@ -74,6 +76,8 @@ END
> >   cp sub1/parse.y sub2/parse.y
> >
> >   cat > sub1/main.c << 'END'
> > +extern int yyparse(void);
> > +
> >   int main ()
> >   {
> >     return yyparse ();
>
> And here.
>
> > --- a/t/yacc-nodist.sh
> > +++ b/t/yacc-nodist.sh
> > @@ -78,6 +78,8 @@ BUILT_SOURCES = parse.h
> >   END
> >
> >   cat > sub1/main.c << 'END'
> > +extern int yyparse(void);
> > +
> >   int main ()
> >   {
> >     return yyparse ();
>
> And here as well.
>
>
>





Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at 59993 <at> debbugs.gnu.org:


Received: (at 59993) by debbugs.gnu.org; 14 Dec 2022 07:10:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 14 02:10:15 2022
Received: from localhost ([127.0.0.1]:37246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5LuB-0003Pq-Co
	for submit <at> debbugs.gnu.org; Wed, 14 Dec 2022 02:10:15 -0500
Received: from us-smtp-delivery-124.mimecast.com ([170.10.129.124]:47475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fberat@HIDDEN>) id 1p5Lu9-0003Pi-0S
 for 59993 <at> debbugs.gnu.org; Wed, 14 Dec 2022 02:10:13 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1671001812;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=5wUqI3hShmAk/Qij5F+Ffqq0nQCcHk7e/UbWU00ZIEE=;
 b=XI+gvGQT/Bdjm9WqGruKq2iR4zHKLuKqfpVVFUk3qRp03qQozxMd9ZMVqIwREVsXKT4Lek
 S7PRJYzx5r/xZ/G9VRxT5OQOrTw0W+EHyviLc/7+u8v8YH3AZ3EH1CGKMvFdZAM3Khkhna
 e2C4j7lFUNQdtqDoweVmy+6yanR2Z18=
Received: from mail-yw1-f197.google.com (mail-yw1-f197.google.com
 [209.85.128.197]) by relay.mimecast.com with ESMTP with STARTTLS
 (version=TLSv1.3, cipher=TLS_AES_128_GCM_SHA256) id
 us-mta-489-4xqGEoNoPjyEt6SRUvO17A-1; Wed, 14 Dec 2022 02:10:11 -0500
X-MC-Unique: 4xqGEoNoPjyEt6SRUvO17A-1
Received: by mail-yw1-f197.google.com with SMTP id
 00721157ae682-348608c1cd3so198776957b3.10
 for <59993 <at> debbugs.gnu.org>; Tue, 13 Dec 2022 23:10:11 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=5wUqI3hShmAk/Qij5F+Ffqq0nQCcHk7e/UbWU00ZIEE=;
 b=giZgdUlu9VV5xlf4AqbPvDWlavuLWHmP4QQj28oT1onfcmOKER49Z8S6BhuzKZIr4H
 3aBtioqRS47PpXmK5bIFRB6qvvK0a0HYYt9dyE9aYSKEA/qBV41Y80+5/Cl0YLCfB7qa
 BGfop/MuxJhN0AunZZ71InLe0Dx88jbxhFPOfUi6pQE8ZXLDOYS/LmV5sQrySlPKhH46
 tdMR8hkyY2Z2wCoz8/LiNWRePFiD9ROeBEGQFDI5Z39er875QUDMiV7ZYG8ZZLRk6mRO
 7i9K+FadR3U1Py7x77cSRV3p+lWpbAIaLvO8XphwKHTD8j8Hn0sZ2MwJx5nP66omfMUA
 nBug==
X-Gm-Message-State: ANoB5pmrGhzNjoHZ9RMQhJ1sUIENjgAmP8g3c41Nu27ODeTyu7In0Ube
 txOrWxvRlhZfAOsLkplcapXpXED9889krAIODVeeFYhlDV9+ECcsvomnseeBJMx5BvJ3Bn3RhQ3
 uNfdAobOWf77OcaO/Nvu2Uh/zJd2LTwY=
X-Received: by 2002:a25:584:0:b0:6fe:46c9:7479 with SMTP id
 126-20020a250584000000b006fe46c97479mr27609675ybf.191.1671001810538; 
 Tue, 13 Dec 2022 23:10:10 -0800 (PST)
X-Google-Smtp-Source: AA0mqf5SVu46r7osoNeZuaOiLERRdlhUhVE+GOg41Q5JmSdotlC2aseSxOa9nPyechQkPXk5zNxTjFzbWNLQ9Pxn7lQ=
X-Received: by 2002:a25:584:0:b0:6fe:46c9:7479 with SMTP id
 126-20020a250584000000b006fe46c97479mr27609671ybf.191.1671001810273; Tue, 13
 Dec 2022 23:10:10 -0800 (PST)
MIME-Version: 1.0
References: <20221212070554.1635775-1-fberat@HIDDEN>
 <20221212070554.1635775-3-fberat@HIDDEN>
 <b1269c3b-5176-b32b-6bb3-a9da71fef4ae@HIDDEN>
 <CAObJKZr9zNuaAUJKfk=y7=Evjp+PLGg+k+MLwQfks_D-G0rD2w@HIDDEN>
 <2ae1d42f-3821-412b-9565-b979d2d6ba76@HIDDEN>
In-Reply-To: <2ae1d42f-3821-412b-9565-b979d2d6ba76@HIDDEN>
From: Frederic Berat <fberat@HIDDEN>
Date: Wed, 14 Dec 2022 08:09:59 +0100
Message-ID: <CAObJKZoak0YiPHBG=UUZMjqtK8xv4FDddrynov7w+FeMCawBvw@HIDDEN>
Subject: Re: [bug#59993] [PATCH 2/2] tests: Fix implicit function declaration
 errors
To: Zack Weinberg <zack@HIDDEN>
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59993
Cc: 59993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I'll separe this one in a dedicated patch and give it a more
detailed/specific explanation.

On Tue, Dec 13, 2022 at 10:02 PM Zack Weinberg <zack@HIDDEN> wrote:
>
> On Tue, Dec 13, 2022, at 1:30 AM, Frederic Berat wrote:
> > On Mon, Dec 12, 2022 at 9:19 PM Zack Weinberg <zack@HIDDEN> wrote:
> >> > --- a/t/ax/depcomp.sh
> >> > +++ b/t/ax/depcomp.sh
> >> > @@ -243,6 +243,7 @@ cat > sub/subfoo.h <<'END'
> >> >   #include <stdio.h>
> >> >   extern int subfoo (void);
> >> >   END
> >> > +cp sub/subfoo.h sub/subfoo.save
> >> >
> >> >   cat > src/baz.c <<'END'
> >> >   #include "baz.h"
> >> > @@ -399,8 +400,7 @@ do_test ()
> >> >         && rewrite "$srcdir"/sub/subfoo.h echo 'choke me' \
> >> >         && not $MAKE \
> >> >         && delete "$srcdir"/sub/subfoo.h \
> >> > -      && edit "$srcdir"/sub/subfoo.c -e 1d \
> >> > -      && edit "$srcdir"/foo.h -e 2d \
> >> > +      && mv  "$srcdir"/sub/subfoo.save "$srcdir"/sub/subfoo.h \
> >> >         && make_ok \
> >> >         || r='not ok'
> >> >       result_ "$r" "$pfx dependency tracking works"
> >>
> >> These changes don't seem to have anything to do with the patch as
> >> described.  They should be submitted separately.
> >
> > Actually, that is related. The edit removes the "#include subfoo.h"
> > line from foo.h, because the subfoo.h file got overwritten earlier.
> > This subfoo.h is the one that had the function declaration in ("extern
> > int subfoo (void);" specifically).
> > Either you need the original header back, or you need to get the
> > declaration back another way. I felt this way was easier than trying
> > to insert a declaration without breaking the test.
>
> OK, I clearly don't understand what this test is doing, so I'm going to
> defer to someone else to review it.
>
> zw
>
>
>





Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Dec 2022 21:01:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 13 16:01:35 2022
Received: from localhost ([127.0.0.1]:34629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p5CP9-0007Qd-IP
	for submit <at> debbugs.gnu.org; Tue, 13 Dec 2022 16:01:35 -0500
Received: from lists.gnu.org ([209.51.188.17]:35150)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zack@HIDDEN>) id 1p5CP7-0007QX-Dd
 for submit <at> debbugs.gnu.org; Tue, 13 Dec 2022 16:01:33 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <zack@HIDDEN>) id 1p5CP3-0003s5-L6
 for automake-patches@HIDDEN; Tue, 13 Dec 2022 16:01:32 -0500
Received: from wout1-smtp.messagingengine.com ([64.147.123.24])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <zack@HIDDEN>) id 1p5CP1-0000I5-Fp
 for automake-patches@HIDDEN; Tue, 13 Dec 2022 16:01:29 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.west.internal (Postfix) with ESMTP id 70588320085B
 for <automake-patches@HIDDEN>; Tue, 13 Dec 2022 15:58:31 -0500 (EST)
Received: from imap45 ([10.202.2.95])
 by compute1.internal (MEProxy); Tue, 13 Dec 2022 15:58:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=owlfolio.org; h=
 cc:content-type:date:date:from:from:in-reply-to:in-reply-to
 :message-id:mime-version:references:reply-to:sender:subject
 :subject:to:to; s=fm1; t=1670965110; x=1671051510; bh=AJlRP8Ezak
 1djm+Ah3X9hFYOtLjJVuNAcCZdV3BOxb8=; b=1F53pQXJx3a18Fw5zx4v3IKTTc
 Yfo3/TMjfoceFdfs99sI2Z8hpx4xS54u8PLenrgPmGBvAN1wIHsfsSlqAizX/MOQ
 s+ZuFyuOW3rce8OxCtspHKT49+C6ilE6nmH0WqWhgq+BiI8VvxRlqfGMO10CjokY
 JuCDJfgKN2L6Eq3KzVf/gMPkksGUm7Lc1Ye4f46LPRz9/U97YMB8benIxfG3SDRR
 xqfszVIZGmU630mVSFrwNQHvyefMDh1DdHapg/lJ5vo3mxNgn6B4bd8nT2PG2jSd
 yE/YZtP/ICyaHeklx6dNr1UH064CQGTCLvwq3LUrsai6rMHunJ4g7jJnEHLw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:date:feedback-id
 :feedback-id:from:from:in-reply-to:in-reply-to:message-id
 :mime-version:references:reply-to:sender:subject:subject:to:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm2; t=1670965110; x=1671051510; bh=AJlRP8Ezak1djm+Ah3X9hFYOtLjJ
 VuNAcCZdV3BOxb8=; b=QPkJIgBCeKao9//Y4dKl05Q/CaWMD+YbgC4YZQNNaDg/
 ed0I9NhhxdzZHq8J0fy0hHSdqj/yMrctBRm31JYmyWWZzt5DqONdEPlBXRjqschZ
 OLbT7Q2+VjXQFw7myTdUTjeu++Z0I66tos5/RTKPGcrduXBSgcVOEqQ4yE6jWuos
 61+bTEmaJJSMFg0SjZF13/RRHmp2j60vFD0cGDlYLq7Yhnlo5vjooadzaI+D6U4A
 D0pTtIivBuIXEk9sOAX0irMm+0Blj4LNHRr7G7SU+28ZEbkPKCw7LAHXOSOLNr+c
 VTZ19QpW5xdaUW+eeEnc85i4pKPQfRQn38cU8oVMIA==
X-ME-Sender: <xms:dueYY18x9grU5bqNwN21zmNQRLtqKOiw46tRp9PTT6icnP_wo82-nQ>
 <xme:dueYY5t7uAjulV1IVYaOMtFHvn9K_HNXeLRvnfdWW2pBBxNt6tTT10PeMT5OGADZ9
 IPqjZejHAuuUd9thVU>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvhedrfedugdeilecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhepofgfggfkjghffffhvffutgesthdtre
 dtreertdenucfhrhhomhepfdgkrggtkhcuhggvihhnsggvrhhgfdcuoeiirggtkhesohif
 lhhfohhlihhordhorhhgqeenucggtffrrghtthgvrhhnpefhuefhveeuffetfffgjeetgf
 ekkeehfedtfeelgfehffffveehkeelfefgheffudenucevlhhushhtvghrufhiiigvpedu
 necurfgrrhgrmhepmhgrihhlfhhrohhmpeiirggtkhesohiflhhfohhlihhordhorhhg
X-ME-Proxy: <xmx:dueYYzA73sleNjEp0jnvIkUaosfiX5RY9bD6MczBCSeHCzFi3b1JIw>
 <xmx:dueYY5e_7xHkL-TxVW0XTnwCvrhFvWOfPNKkvUVLV_EnORtbfUIp5g>
 <xmx:dueYY6MBrtZwkakVK9x3_3KU7kbgMXfV2VAZ_AHS8pRScEoW2Sjykw>
 <xmx:dueYYwbJcQK6bzQx1QJwTmcGWAgKGihTp_QZ8wmXWqih64_H_CR6Tw>
Feedback-ID: i876146a2:Fastmail
Received: by mailuser.nyi.internal (Postfix, from userid 501)
 id AC176272007A; Tue, 13 Dec 2022 15:58:30 -0500 (EST)
X-Mailer: MessagingEngine.com Webmail Interface
User-Agent: Cyrus-JMAP/3.7.0-alpha0-1115-g8b801eadce-fm-20221102.001-g8b801ead
Mime-Version: 1.0
Message-Id: <2ae1d42f-3821-412b-9565-b979d2d6ba76@HIDDEN>
In-Reply-To: <CAObJKZr9zNuaAUJKfk=y7=Evjp+PLGg+k+MLwQfks_D-G0rD2w@HIDDEN>
References: <20221212070554.1635775-1-fberat@HIDDEN>
 <20221212070554.1635775-3-fberat@HIDDEN>
 <b1269c3b-5176-b32b-6bb3-a9da71fef4ae@HIDDEN>
 <CAObJKZr9zNuaAUJKfk=y7=Evjp+PLGg+k+MLwQfks_D-G0rD2w@HIDDEN>
Date: Tue, 13 Dec 2022 15:58:10 -0500
From: "Zack Weinberg" <zack@HIDDEN>
To: automake-patches@HIDDEN
Subject: Re: [bug#59993] [PATCH 2/2] tests: Fix implicit function declaration
 errors
Content-Type: text/plain
Received-SPF: pass client-ip=64.147.123.24; envelope-from=zack@HIDDEN;
 helo=wout1-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On Tue, Dec 13, 2022, at 1:30 AM, Frederic Berat wrote:
> On Mon, Dec 12, 2022 at 9:19 PM Zack Weinberg <zack@HIDDEN> wrote:
>> > --- a/t/ax/depcomp.sh
>> > +++ b/t/ax/depcomp.sh
>> > @@ -243,6 +243,7 @@ cat > sub/subfoo.h <<'END'
>> >   #include <stdio.h>
>> >   extern int subfoo (void);
>> >   END
>> > +cp sub/subfoo.h sub/subfoo.save
>> >
>> >   cat > src/baz.c <<'END'
>> >   #include "baz.h"
>> > @@ -399,8 +400,7 @@ do_test ()
>> >         && rewrite "$srcdir"/sub/subfoo.h echo 'choke me' \
>> >         && not $MAKE \
>> >         && delete "$srcdir"/sub/subfoo.h \
>> > -      && edit "$srcdir"/sub/subfoo.c -e 1d \
>> > -      && edit "$srcdir"/foo.h -e 2d \
>> > +      && mv  "$srcdir"/sub/subfoo.save "$srcdir"/sub/subfoo.h \
>> >         && make_ok \
>> >         || r='not ok'
>> >       result_ "$r" "$pfx dependency tracking works"
>>
>> These changes don't seem to have anything to do with the patch as
>> described.  They should be submitted separately.
>
> Actually, that is related. The edit removes the "#include subfoo.h"
> line from foo.h, because the subfoo.h file got overwritten earlier.
> This subfoo.h is the one that had the function declaration in ("extern
> int subfoo (void);" specifically).
> Either you need the original header back, or you need to get the
> declaration back another way. I felt this way was easier than trying
> to insert a declaration without breaking the test.

OK, I clearly don't understand what this test is doing, so I'm going to
defer to someone else to review it.

zw




Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at 59993 <at> debbugs.gnu.org:


Received: (at 59993) by debbugs.gnu.org; 13 Dec 2022 08:02:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 13 03:02:58 2022
Received: from localhost ([127.0.0.1]:58780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p50Fd-0001Li-Gs
	for submit <at> debbugs.gnu.org; Tue, 13 Dec 2022 03:02:57 -0500
Received: from us-smtp-delivery-124.mimecast.com ([170.10.133.124]:20130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fberat@HIDDEN>) id 1p4yoS-0006O5-Lr
 for 59993 <at> debbugs.gnu.org; Tue, 13 Dec 2022 01:30:49 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1670913048;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=eS3hZmwjyR/NicvUzrhkYAlxAYH/yqCTFTW2tLgB+NU=;
 b=R5coZPG377vOxi47q/8G7K7EaJQvEiRGygj/16sDHVaC6lW9C5PM/f4GQxtMlaSWlG0WOh
 43TRnrK7ui5gGHIh1XDiCfvAGAnyk2O2oWCsqzHyooVw21KWp33fu2Em63jEoUE25D08FP
 tcu9/EEZwsKhTbZoj5TOTVPPRbZCSxA=
Received: from mail-yb1-f199.google.com (mail-yb1-f199.google.com
 [209.85.219.199]) by relay.mimecast.com with ESMTP with STARTTLS
 (version=TLSv1.3, cipher=TLS_AES_128_GCM_SHA256) id
 us-mta-508-3vxtMISONoKmTyY2keR6xg-1; Tue, 13 Dec 2022 01:30:47 -0500
X-MC-Unique: 3vxtMISONoKmTyY2keR6xg-1
Received: by mail-yb1-f199.google.com with SMTP id
 x188-20020a2531c5000000b00716de19d76bso13654273ybx.19
 for <59993 <at> debbugs.gnu.org>; Mon, 12 Dec 2022 22:30:46 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=eS3hZmwjyR/NicvUzrhkYAlxAYH/yqCTFTW2tLgB+NU=;
 b=PpZn8+btGp42E7HdpVAACWdRNLVjHBNNTeEJKEYy3JiE81IIxKMAtSYEpI9RYAdQUb
 hSOWAbgw2bbBQtSzYTjTQVboH1MxW/UxrBqL1w6SF5w29epeFZpjSoGXrJY773fsEdQ6
 41X1CLA2/kzOoU1BwWrDG56LMDipfXaUO5GNhysaM4iBg1jI0zgPGbktFGkMVPIBhN01
 JOk4VrbN7BfS6BNxXMuExgWypx+FfmtVCd86J1kikDGqiy+VRdk284CZEeSaP7ZAPdSh
 ldJiP9E6OE2vMnu8y4h1oMe8Gl0xrGYMPbOu4HIaY39NCQO67U7NbUTMo7K0CzLhHdUw
 cxJA==
X-Gm-Message-State: ANoB5pkEy/tzp61QY+Zwc9zzg0zCV62lvWD3LzPZaAJKC1DhmwGkPcaR
 YE+L81wKJ07H9dwPaVmRLcUGUkiwvzPLP4/icikgg+q7pJDWVu20b0k3geA+iXtwnygtxPeWchP
 LvTgsrWPaCIqv4zZ1BbqgcOY+/CiaJL8=
X-Received: by 2002:a25:13c2:0:b0:724:321b:55e3 with SMTP id
 185-20020a2513c2000000b00724321b55e3mr1200677ybt.393.1670913046432; 
 Mon, 12 Dec 2022 22:30:46 -0800 (PST)
X-Google-Smtp-Source: AA0mqf47Ie/4+DmuZhtEBs7SgcsGDRxVc9FwFY9VzslSGrWY0wtckBNYvmj3ob/eA/2BDrG6gxzQboOszbDbs3Bj9xo=
X-Received: by 2002:a25:13c2:0:b0:724:321b:55e3 with SMTP id
 185-20020a2513c2000000b00724321b55e3mr1200675ybt.393.1670913046172; Mon, 12
 Dec 2022 22:30:46 -0800 (PST)
MIME-Version: 1.0
References: <20221212070554.1635775-1-fberat@HIDDEN>
 <20221212070554.1635775-3-fberat@HIDDEN>
 <b1269c3b-5176-b32b-6bb3-a9da71fef4ae@HIDDEN>
In-Reply-To: <b1269c3b-5176-b32b-6bb3-a9da71fef4ae@HIDDEN>
From: Frederic Berat <fberat@HIDDEN>
Date: Tue, 13 Dec 2022 07:30:35 +0100
Message-ID: <CAObJKZr9zNuaAUJKfk=y7=Evjp+PLGg+k+MLwQfks_D-G0rD2w@HIDDEN>
Subject: Re: [bug#59993] [PATCH 2/2] tests: Fix implicit function declaration
 errors
To: Zack Weinberg <zack@HIDDEN>
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59993
X-Mailman-Approved-At: Tue, 13 Dec 2022 03:02:53 -0500
Cc: 59993 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Dec 12, 2022 at 9:19 PM Zack Weinberg <zack@HIDDEN> wrote:
>
> On 2022-12-12 2:05 AM, Frederic Berat wrote:
> > This is related to an effort to prepare Automake for future GCC/Clang
> > versions which set c99 as default standard to be used.
> > Function should be properly declared prior to use in order to be
> > compatible with c99 standard.
>
> OK in principle, but ...
>
> > --- a/t/ax/depcomp.sh
> > +++ b/t/ax/depcomp.sh
> > @@ -243,6 +243,7 @@ cat > sub/subfoo.h <<'END'
> >   #include <stdio.h>
> >   extern int subfoo (void);
> >   END
> > +cp sub/subfoo.h sub/subfoo.save
> >
> >   cat > src/baz.c <<'END'
> >   #include "baz.h"
> > @@ -399,8 +400,7 @@ do_test ()
> >         && rewrite "$srcdir"/sub/subfoo.h echo 'choke me' \
> >         && not $MAKE \
> >         && delete "$srcdir"/sub/subfoo.h \
> > -      && edit "$srcdir"/sub/subfoo.c -e 1d \
> > -      && edit "$srcdir"/foo.h -e 2d \
> > +      && mv  "$srcdir"/sub/subfoo.save "$srcdir"/sub/subfoo.h \
> >         && make_ok \
> >         || r='not ok'
> >       result_ "$r" "$pfx dependency tracking works"
>
> These changes don't seem to have anything to do with the patch as
> described.  They should be submitted separately.

Actually, that is related. The edit removes the "#include subfoo.h"
line from foo.h, because the subfoo.h file got overwritten earlier.
This subfoo.h is the one that had the function declaration in ("extern
int subfoo (void);" specifically).
Either you need the original header back, or you need to get the
declaration back another way. I felt this way was easier than trying
to insert a declaration without breaking the test.

I agree that more explanation could have been useful. If you have
another suggestion to get the declaration in, I'm open.

>
> > --- a/t/lex-nodist.sh
> > +++ b/t/lex-nodist.sh
> > @@ -62,6 +62,8 @@ CLEANFILES = $(nodist_prog_SOURCES)
> >   END
> >
> >   cat > main.c << 'END'
> > +extern int yylex (void);
> > +
> >   int main ()
> >   {
> >     return yylex ();
>
> Please change `int main ()` to `int main (void)` as long as you're in here.

Agree.

>
> > --- a/t/ltconv.sh
> > +++ b/t/ltconv.sh
> > @@ -91,6 +91,12 @@ echo 'int sub22 () { return 22; }' > sub2/sub22/sub22.c
> >
> >   cat >test.c <<'EOF'
> >   #include <stdio.h>
> > +
> > +extern int sub1 (void);
> > +extern int sub2 (void);
> > +extern int sub21 (void);
> > +extern int sub22 (void);
> > +
> >   int main ()
> >   {
> >     if (1 != sub1 ())
>
> Same here.
>
> > --- a/t/yacc-basic.sh
> > +++ b/t/yacc-basic.sh
> > @@ -49,6 +49,7 @@ a : 'a' { exit(0); };
> >   END
> >
> >   cat > foo.c << 'END'
> > +extern int yyparse(void);
> >   int main () { yyparse (); return 1; }
> >   END
>
> And here.
>
> > --- a/t/yacc-clean.sh
> > +++ b/t/yacc-clean.sh
> > @@ -74,6 +76,8 @@ END
> >   cp sub1/parse.y sub2/parse.y
> >
> >   cat > sub1/main.c << 'END'
> > +extern int yyparse(void);
> > +
> >   int main ()
> >   {
> >     return yyparse ();
>
> And here.
>
> > --- a/t/yacc-nodist.sh
> > +++ b/t/yacc-nodist.sh
> > @@ -78,6 +78,8 @@ BUILT_SOURCES = parse.h
> >   END
> >
> >   cat > sub1/main.c << 'END'
> > +extern int yyparse(void);
> > +
> >   int main ()
> >   {
> >     return yyparse ();
>
> And here as well.
>
>
>





Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Dec 2022 20:18:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 12 15:18:42 2022
Received: from localhost ([127.0.0.1]:55109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p4pG5-0003RD-TX
	for submit <at> debbugs.gnu.org; Mon, 12 Dec 2022 15:18:42 -0500
Received: from lists.gnu.org ([209.51.188.17]:43470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zack@HIDDEN>) id 1p4pG3-0003R7-Uy
 for submit <at> debbugs.gnu.org; Mon, 12 Dec 2022 15:18:40 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <zack@HIDDEN>) id 1p4pG3-0005XZ-QI
 for automake-patches@HIDDEN; Mon, 12 Dec 2022 15:18:39 -0500
Received: from out4-smtp.messagingengine.com ([66.111.4.28])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <zack@HIDDEN>) id 1p4pG1-0003hY-TI
 for automake-patches@HIDDEN; Mon, 12 Dec 2022 15:18:39 -0500
Received: from compute6.internal (compute6.nyi.internal [10.202.2.47])
 by mailout.nyi.internal (Postfix) with ESMTP id 65D545C005E
 for <automake-patches@HIDDEN>; Mon, 12 Dec 2022 15:18:37 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute6.internal (MEProxy); Mon, 12 Dec 2022 15:18:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=owlfolio.org; h=
 cc:content-transfer-encoding:content-type:date:date:from:from
 :in-reply-to:in-reply-to:message-id:mime-version:references
 :reply-to:sender:subject:subject:to:to; s=fm1; t=1670876317; x=
 1670962717; bh=FyK8vCtcNzFb6awQWyWodWPpJwkFJkyIqDF1h3sONms=; b=Z
 A5nZReWEXTOJXQTzWA/CBwwdfWm0EWP3bd4uRFTZotCxk8BYxgh81qcqepkdGfEH
 c8Ai7HyJIgvQ1qzovfMOWoojANNeT82dRkEV0EMo0A0e+7uU9dcwgOh+cny3h6Bj
 +Nqoipbpr+pyvFjj3LLzMnFmyYcSM179DnjwNohPBOEQbAHwMYyz58l8ZbnQ2mqN
 EeTlggEV+BSckvMZ5Dc6t+Q1HUzcQ9LbBR3tRd/FIsYeRvn1al1qHsAdUJMLHe4s
 2xlOgjUUDvoCJQihpnU4ZLBIHM75JNxXsQqz+GpKYdBdiSnjDmcw0qvhTFasTqmR
 1kZxnyTf45Hsjd7AI0MqA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:date:feedback-id:feedback-id:from:from:in-reply-to
 :in-reply-to:message-id:mime-version:references:reply-to:sender
 :subject:subject:to:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; t=1670876317; x=1670962717; bh=F
 yK8vCtcNzFb6awQWyWodWPpJwkFJkyIqDF1h3sONms=; b=BnSppVObdxavRnn9T
 U7ZAP5fH74tPb1PY65HpoyM+88C27du3rXk+KpzFLAsYXYFb3eSd6f4SFbVvoZBl
 MazqNTevaCZdyWBcbCrf9y+S6l+T5PPRRU0gLCso9iIKtCp5V9G8tCQrbTEI4bC7
 vmfzcYamfvEixFxdaMCE2g4Hj8VzlUW+mi0wXaDWkgAYZfNUul4IWl26yWGtN+ws
 OMblZZIwBq6Kxj35DG+wuN+RhwU/PVKibsSNZa8ell2MXTVZgzFKPtaXdOl2tPdB
 DPdIZX7LXPIlbwUcMo1DNjPiUZ9j5xZ3bJfvXv9sSqiDluL3q8R7yhOhFF6FKIXk
 goDrw==
X-ME-Sender: <xms:nYyXY52N3tBDGIvy0E0IMDrx4ul6fiZoKCddXQ1YpHBlZhzKPcUgJg>
 <xme:nYyXYwF2r9z8M0I3yhbs5c9nFKyGN8ssIknnaM6bPw6uUF0j6upTRAbt8-TrfTeEc
 8ln_XT5emU0CFClGJU>
X-ME-Received: <xmr:nYyXY558BjnxGKepHW7Z_mXqRV6qg-l-NKXBDXAv2fhRv0tBTjK3_m0hDS4BqUdplFg-FtcgKs7xVkWbp0uyqA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvhedrvdekgdduudduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefkffggfgfuvfhfhfgjtgfgsehtje
 ertddtfeejnecuhfhrohhmpegkrggtkhcuhggvihhnsggvrhhguceoiigrtghksehofihl
 fhholhhiohdrohhrgheqnecuggftrfgrthhtvghrnhepgedvueegveefudfhvdffudejhf
 fgleektdduvdeffedvueeuhfduiefgtdevjeefnecuvehluhhsthgvrhfuihiivgeptden
 ucfrrghrrghmpehmrghilhhfrhhomhepiigrtghksehofihlfhholhhiohdrohhrgh
X-ME-Proxy: <xmx:nYyXY21vREaoPnhKN7y60ao5EYD0NoEbyR4UR2gtJXprjBVaQxRk5Q>
 <xmx:nYyXY8Ej_-EwJAKQ5EYV7G4XeAG4GAi49Lil-dGYuuFU1gYuQ5n9fg>
 <xmx:nYyXY387lEgaga5LTwwE8-He6qXW4yuk9O82YdPe6aHxJrK30GJZUg>
 <xmx:nYyXY_wH0onV1uGXamKGus2g5gjiS2wMOv3-Rw50DdCx36uyoO_4qg>
Feedback-ID: i876146a2:Fastmail
Received: by mail.messagingengine.com (Postfix) with ESMTPA for
 <automake-patches@HIDDEN>; Mon, 12 Dec 2022 15:18:37 -0500 (EST)
Message-ID: <b1269c3b-5176-b32b-6bb3-a9da71fef4ae@HIDDEN>
Date: Mon, 12 Dec 2022 15:18:36 -0500
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:102.0) Gecko/20100101
 Thunderbird/102.5.1
Subject: Re: [bug#59993] [PATCH 2/2] tests: Fix implicit function declaration
 errors
Content-Language: en-US
To: automake-patches@HIDDEN
References: <20221212070554.1635775-1-fberat@HIDDEN>
 <20221212070554.1635775-3-fberat@HIDDEN>
From: Zack Weinberg <zack@HIDDEN>
In-Reply-To: <20221212070554.1635775-3-fberat@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=66.111.4.28; envelope-from=zack@HIDDEN;
 helo=out4-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, NICE_REPLY_A=-0.001,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

On 2022-12-12 2:05 AM, Frederic Berat wrote:
> This is related to an effort to prepare Automake for future GCC/Clang
> versions which set c99 as default standard to be used.
> Function should be properly declared prior to use in order to be
> compatible with c99 standard.

OK in principle, but ...

> --- a/t/ax/depcomp.sh
> +++ b/t/ax/depcomp.sh
> @@ -243,6 +243,7 @@ cat > sub/subfoo.h <<'END'
>   #include <stdio.h>
>   extern int subfoo (void);
>   END
> +cp sub/subfoo.h sub/subfoo.save
>   
>   cat > src/baz.c <<'END'
>   #include "baz.h"
> @@ -399,8 +400,7 @@ do_test ()
>         && rewrite "$srcdir"/sub/subfoo.h echo 'choke me' \
>         && not $MAKE \
>         && delete "$srcdir"/sub/subfoo.h \
> -      && edit "$srcdir"/sub/subfoo.c -e 1d \
> -      && edit "$srcdir"/foo.h -e 2d \
> +      && mv  "$srcdir"/sub/subfoo.save "$srcdir"/sub/subfoo.h \
>         && make_ok \
>         || r='not ok'
>       result_ "$r" "$pfx dependency tracking works"

These changes don't seem to have anything to do with the patch as 
described.  They should be submitted separately.

> --- a/t/lex-nodist.sh
> +++ b/t/lex-nodist.sh
> @@ -62,6 +62,8 @@ CLEANFILES = $(nodist_prog_SOURCES)
>   END
>   
>   cat > main.c << 'END'
> +extern int yylex (void);
> +
>   int main ()
>   {
>     return yylex ();

Please change `int main ()` to `int main (void)` as long as you're in here.

> --- a/t/ltconv.sh
> +++ b/t/ltconv.sh
> @@ -91,6 +91,12 @@ echo 'int sub22 () { return 22; }' > sub2/sub22/sub22.c
>   
>   cat >test.c <<'EOF'
>   #include <stdio.h>
> +
> +extern int sub1 (void);
> +extern int sub2 (void);
> +extern int sub21 (void);
> +extern int sub22 (void);
> +
>   int main ()
>   {
>     if (1 != sub1 ())

Same here.

> --- a/t/yacc-basic.sh
> +++ b/t/yacc-basic.sh
> @@ -49,6 +49,7 @@ a : 'a' { exit(0); };
>   END
>   
>   cat > foo.c << 'END'
> +extern int yyparse(void);
>   int main () { yyparse (); return 1; }
>   END

And here.

> --- a/t/yacc-clean.sh
> +++ b/t/yacc-clean.sh
> @@ -74,6 +76,8 @@ END
>   cp sub1/parse.y sub2/parse.y
>   
>   cat > sub1/main.c << 'END'
> +extern int yyparse(void);
> +
>   int main ()
>   {
>     return yyparse ();

And here.

> --- a/t/yacc-nodist.sh
> +++ b/t/yacc-nodist.sh
> @@ -78,6 +78,8 @@ BUILT_SOURCES = parse.h
>   END
>   
>   cat > sub1/main.c << 'END'
> +extern int yyparse(void);
> +
>   int main ()
>   {
>     return yyparse ();

And here as well.




Information forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Dec 2022 08:43:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 12 03:43:15 2022
Received: from localhost ([127.0.0.1]:51441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p4eP4-0004pq-Jh
	for submit <at> debbugs.gnu.org; Mon, 12 Dec 2022 03:43:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:40320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fberat@HIDDEN>) id 1p4ctM-0001HI-Aj
 for submit <at> debbugs.gnu.org; Mon, 12 Dec 2022 02:06:25 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <fberat@HIDDEN>) id 1p4ctM-0004P9-3C
 for automake-patches@HIDDEN; Mon, 12 Dec 2022 02:06:24 -0500
Received: from us-smtp-delivery-124.mimecast.com ([170.10.129.124])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <fberat@HIDDEN>) id 1p4ctK-0006pN-0b
 for automake-patches@HIDDEN; Mon, 12 Dec 2022 02:06:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=redhat.com;
 s=mimecast20190719; t=1670828779;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=lW2jC2/+bhtKLqWCY6IQqk+2UWDQ495duRcSmvUIF+M=;
 b=D9ZFcxNcBONO0hcyk4w4T6CpXLC/sZH9y8PAfC0kxi2V1vjH5lTkXY/Eb+UgZbri9OeeP0
 A5lYRfbhB5ZbVAHCK2E7+uTxfXr0nF1axTzaNFtVLYUZiMQbBU6rDo3yCq1LL9OAId+P12
 HG13CtPyZMNWH0MMHDoG2csrJMg2+So=
Received: from mimecast-mx02.redhat.com (mx3-rdu2.redhat.com
 [66.187.233.73]) by relay.mimecast.com with ESMTP with STARTTLS
 (version=TLSv1.2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 us-mta-85-fISD8hYSMNSXfJiYdSqmeQ-1; Mon, 12 Dec 2022 02:06:13 -0500
X-MC-Unique: fISD8hYSMNSXfJiYdSqmeQ-1
Received: from smtp.corp.redhat.com (int-mx01.intmail.prod.int.rdu2.redhat.com
 [10.11.54.1])
 (using TLSv1.2 with cipher AECDH-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by mimecast-mx02.redhat.com (Postfix) with ESMTPS id F102029DD987
 for <automake-patches@HIDDEN>; Mon, 12 Dec 2022 07:06:12 +0000 (UTC)
Received: from Nymeria-redhat.redhat.com (unknown [10.39.192.133])
 by smtp.corp.redhat.com (Postfix) with ESMTPS id 4905440C2005;
 Mon, 12 Dec 2022 07:06:12 +0000 (UTC)
From: Frederic Berat <fberat@HIDDEN>
To: automake-patches@HIDDEN
Subject: [PATCH 2/2] tests: Fix implicit function declaration errors
Date: Mon, 12 Dec 2022 08:05:54 +0100
Message-Id: <20221212070554.1635775-3-fberat@HIDDEN>
In-Reply-To: <20221212070554.1635775-1-fberat@HIDDEN>
References: <20221212070554.1635775-1-fberat@HIDDEN>
MIME-Version: 1.0
X-Scanned-By: MIMEDefang 3.1 on 10.11.54.1
X-Mimecast-Spam-Score: 0
X-Mimecast-Originator: redhat.com
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=170.10.129.124; envelope-from=fberat@HIDDEN;
 helo=us-smtp-delivery-124.mimecast.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIMWL_WL_HIGH=-0.001,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 12 Dec 2022 03:43:10 -0500
Cc: =?UTF-8?q?Fr=C3=A9d=C3=A9ric=20B=C3=A9rat?= <fberat@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

From: Frédéric Bérat <fberat@HIDDEN>

This is related to an effort to prepare Automake for future GCC/Clang
versions which set c99 as default standard to be used.

Function should be properly declared prior to use in order to be
compatible with c99 standard.
This is valid for both local functions and standard functions (as
printf).

Modified files:

 * t/ax/depcomp.sh
 * t/c-demo.sh
 * t/cond35.sh
 * t/dist-vs-built-sources.sh
 * t/lex-clean.sh
 * t/lex-multiple.sh
 * t/lex-nodist.sh
 * t/ltcond2.sh
 * t/ltconv.sh
 * t/subobj-clean-lt-pr10697.sh
 * t/subobj-clean-pr10697.sh
 * t/tags-pr12372.sh
 * t/yacc-basic.sh
 * t/yacc-clean.sh
 * t/yacc-nodist.sh
---
 t/ax/depcomp.sh              |  4 ++--
 t/c-demo.sh                  |  1 +
 t/cond35.sh                  |  2 ++
 t/dist-vs-built-sources.sh   |  1 +
 t/lex-clean.sh               |  1 +
 t/lex-multiple.sh            |  4 ++++
 t/lex-nodist.sh              |  2 ++
 t/ltcond2.sh                 |  2 ++
 t/ltconv.sh                  |  6 ++++++
 t/subobj-clean-lt-pr10697.sh | 10 +++++++++-
 t/subobj-clean-pr10697.sh    | 10 +++++++++-
 t/tags-pr12372.sh            |  3 ++-
 t/yacc-basic.sh              |  1 +
 t/yacc-clean.sh              |  4 ++++
 t/yacc-nodist.sh             |  2 ++
 15 files changed, 48 insertions(+), 5 deletions(-)

diff --git a/t/ax/depcomp.sh b/t/ax/depcomp.sh
index e4e7565df..a9debc8ef 100644
--- a/t/ax/depcomp.sh
+++ b/t/ax/depcomp.sh
@@ -243,6 +243,7 @@ cat > sub/subfoo.h <<'END'
 #include <stdio.h>
 extern int subfoo (void);
 END
+cp sub/subfoo.h sub/subfoo.save
 
 cat > src/baz.c <<'END'
 #include "baz.h"
@@ -399,8 +400,7 @@ do_test ()
       && rewrite "$srcdir"/sub/subfoo.h echo 'choke me' \
       && not $MAKE \
       && delete "$srcdir"/sub/subfoo.h \
-      && edit "$srcdir"/sub/subfoo.c -e 1d \
-      && edit "$srcdir"/foo.h -e 2d \
+      && mv  "$srcdir"/sub/subfoo.save "$srcdir"/sub/subfoo.h \
       && make_ok \
       || r='not ok'
     result_ "$r" "$pfx dependency tracking works"
diff --git a/t/c-demo.sh b/t/c-demo.sh
index 7e0e8d64f..d25bf214b 100644
--- a/t/c-demo.sh
+++ b/t/c-demo.sh
@@ -113,6 +113,7 @@ test -f build-aux/compile # We have per-target flags on C sources.
 ./configure --enable-dependency-tracking
 
 cat > src/main.c << 'END'
+#include <stdio.h>
 #include "foo.h"
 #include "bar.h"
 int main (void)
diff --git a/t/cond35.sh b/t/cond35.sh
index 215a22548..bad133970 100644
--- a/t/cond35.sh
+++ b/t/cond35.sh
@@ -73,6 +73,8 @@ END
 
 cat > tparse.y << 'END'
 %{
+extern int yylex(void);
+
 void yyerror (const char *s) {}
 %}
 %token EOF
diff --git a/t/dist-vs-built-sources.sh b/t/dist-vs-built-sources.sh
index d038e66dd..db2776f9a 100644
--- a/t/dist-vs-built-sources.sh
+++ b/t/dist-vs-built-sources.sh
@@ -41,6 +41,7 @@ foo_SOURCES = foo.c
 END
 
 cat > foo.c << 'END'
+#include <stdio.h>
 #include "h.h"
 int main (void) { printf ("%s\n", F); return 0; }
 END
diff --git a/t/lex-clean.sh b/t/lex-clean.sh
index 5aa199338..e53da8fd2 100644
--- a/t/lex-clean.sh
+++ b/t/lex-clean.sh
@@ -61,6 +61,7 @@ cat > lexer.l << 'END'
 END
 
 cat > main.c << 'END'
+extern int yylex (void);
 int main (void)
 {
   return yylex ();
diff --git a/t/lex-multiple.sh b/t/lex-multiple.sh
index 2655b633e..bf119ec84 100644
--- a/t/lex-multiple.sh
+++ b/t/lex-multiple.sh
@@ -56,6 +56,10 @@ cat > main.c << 'END'
 #include <stdlib.h>
 #include <string.h>
 
+extern int yylex (void);
+extern int foolex (void);
+extern int bar_lex (void);
+
 int main (int argc, char *argv[])
 {
   if (argc != 2)
diff --git a/t/lex-nodist.sh b/t/lex-nodist.sh
index 599539405..187dd5437 100644
--- a/t/lex-nodist.sh
+++ b/t/lex-nodist.sh
@@ -62,6 +62,8 @@ CLEANFILES = $(nodist_prog_SOURCES)
 END
 
 cat > main.c << 'END'
+extern int yylex (void);
+
 int main ()
 {
   return yylex ();
diff --git a/t/ltcond2.sh b/t/ltcond2.sh
index 29244c9b3..7e7bcadc4 100644
--- a/t/ltcond2.sh
+++ b/t/ltcond2.sh
@@ -73,6 +73,8 @@ void print (void)
 END
 
 cat > main.c <<'END'
+extern void print(void);
+
 int main (void)
 {
   print();
diff --git a/t/ltconv.sh b/t/ltconv.sh
index 2c4cc47a1..ec79ef80e 100644
--- a/t/ltconv.sh
+++ b/t/ltconv.sh
@@ -91,6 +91,12 @@ echo 'int sub22 () { return 22; }' > sub2/sub22/sub22.c
 
 cat >test.c <<'EOF'
 #include <stdio.h>
+
+extern int sub1 (void);
+extern int sub2 (void);
+extern int sub21 (void);
+extern int sub22 (void);
+
 int main ()
 {
   if (1 != sub1 ())
diff --git a/t/subobj-clean-lt-pr10697.sh b/t/subobj-clean-lt-pr10697.sh
index bb656c43f..53fc02f09 100644
--- a/t/subobj-clean-lt-pr10697.sh
+++ b/t/subobj-clean-lt-pr10697.sh
@@ -83,7 +83,15 @@ libfoo_la_SOURCES = \
 END
 
 mkdir sub1 sub2
-echo 'int libmain (void)' > main.c
+
+echo "/* Subobj clean: libtool case*/" > main.c
+for i in 1 2; do
+  for j in a b c d e f; do
+    echo "extern void $j$i (void);" >> main.c
+  done
+done
+
+echo 'int libmain (void)' >> main.c
 echo '{' >> main.c
 for i in 1 2; do
   for j in a b c d e f; do
diff --git a/t/subobj-clean-pr10697.sh b/t/subobj-clean-pr10697.sh
index f77de8c92..a7f97f6d1 100644
--- a/t/subobj-clean-pr10697.sh
+++ b/t/subobj-clean-pr10697.sh
@@ -81,7 +81,15 @@ foo_SOURCES = \
 END
 
 mkdir sub1 sub2
-echo 'int main (void)' > main.c
+
+echo "/* Subobj clean: generic case*/" > main.c
+for i in 1 2; do
+  for j in a b c d e f; do
+    echo "extern void $j$i (void);" >> main.c
+  done
+done
+
+echo 'int main (void)' >> main.c
 echo '{' >> main.c
 for i in 1 2; do
   for j in a b c d e f; do
diff --git a/t/tags-pr12372.sh b/t/tags-pr12372.sh
index b9c022f70..1a9e1e026 100644
--- a/t/tags-pr12372.sh
+++ b/t/tags-pr12372.sh
@@ -53,7 +53,8 @@ noinst_PROGRAMS = zap
 zap_SOURCES = zardoz.pc
 END
 
-echo 'int main(void) [ return bar(1); ]' > foo-main.pc
+echo 'extern int bar(int);' > foo-main.pc
+echo 'int main(void) [ return bar(1); ]' >> foo-main.pc
 echo 'int bar(int x) { return !x; }' > barbar.c
 echo 'int m@in(void) { return 0; }' > sub/zardoz.pc
 
diff --git a/t/yacc-basic.sh b/t/yacc-basic.sh
index 5b258a30c..8cc0d06a2 100644
--- a/t/yacc-basic.sh
+++ b/t/yacc-basic.sh
@@ -49,6 +49,7 @@ a : 'a' { exit(0); };
 END
 
 cat > foo.c << 'END'
+extern int yyparse(void);
 int main () { yyparse (); return 1; }
 END
 
diff --git a/t/yacc-clean.sh b/t/yacc-clean.sh
index 373774b6a..fef079cf3 100644
--- a/t/yacc-clean.sh
+++ b/t/yacc-clean.sh
@@ -65,6 +65,8 @@ END
 
 cat > sub1/parse.y << 'END'
 %{
+#include <stdio.h>
+
 int yylex () { return (getchar ()); }
 void yyerror (const char *s) {}
 %}
@@ -74,6 +76,8 @@ END
 cp sub1/parse.y sub2/parse.y
 
 cat > sub1/main.c << 'END'
+extern int yyparse(void);
+
 int main ()
 {
   return yyparse ();
diff --git a/t/yacc-nodist.sh b/t/yacc-nodist.sh
index d350a80f9..4a8ebe9ca 100644
--- a/t/yacc-nodist.sh
+++ b/t/yacc-nodist.sh
@@ -78,6 +78,8 @@ BUILT_SOURCES = parse.h
 END
 
 cat > sub1/main.c << 'END'
+extern int yyparse(void);
+
 int main ()
 {
   return yyparse ();
-- 
2.38.1





Acknowledgement sent to Frederic Berat <fberat@HIDDEN>:
New bug report received and forwarded. Copy sent to automake-patches@HIDDEN. Full text available.
Report forwarded to automake-patches@HIDDEN:
bug#59993; Package automake-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 13 Jan 2023 09:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.